8.3. 管理后台 - 初始化

管理后台

接下来我们将使用 Laravel Administrator 来构建 LaraBBS 管理员后台,管理员可以在后台完成用户、话题和回复的 CURD 操作,还可完成用户权限分配、修改站点设置等任务。

这是一个使用「配置信息」来快速生成管理员后台的开发理念,让你几分钟内就拥有一个可用的后台。这种开发的理念,因为其开发的快速,广受拥戴,以至于各个流行框架都有对应的解决的方案,如 Ruby on Rails 框架的 Active Admin, Django 框架也有类似的 管理界面

安装

本文章首发在 LearnKu.com 网站上。

为了保证课程的高品质,我们需要对课程进行收费。付费后 才能观看剩余内容。 购买

上一篇 下一篇
《L02 从零构建论坛系统》
以构建论坛项目 LaraBBS 为线索,展开对 Laravel 框架的全面学习。应用程序架构思路贴近 Laravel 框架的设计哲学。
《G01 Go 实战入门》
从零开始带你一步步开发一个 Go 博客项目,让你在最短的时间内学会使用 Go 进行编码。项目结构很大程度上参考了 Laravel。
讨论数量: 38

jxdr
hustnzj
summerblue/administrator 不支持 Laravel 5.5+ 的解决办法
1 个点赞 | 6 个回复 | 分享 | 课程版本 5.5
phpervip
Composer require "summerblue/administrator:~1.1"报错,已解决
1 个点赞 | 2 个回复 | 问答 | 课程版本 5.8
discus2013
建议教程换个管理后台插件吧
1 个点赞 | 1 个回复 | 问答 | 课程版本 5.5
北极冰
为什么我的 Chrome 浏览器上传图片插件打不开?
0 个点赞 | 9 个回复 | 问答 | 课程版本 5.5
ShawnRong
summerblue/administrator 不支持 Laravel 5.6 么?
0 个点赞 | 6 个回复 | 问答 | 课程版本 5.5
xuejd3
6.0 版本的后台管理,缓存配之后报错
0 个点赞 | 4 个回复 | 问答 | 课程版本 6.x
sgm4231
Laravel 5.8 无法 Composer 安装 summerblue/administrator:~1.1
0 个点赞 | 4 个回复 | 问答 | 课程版本 5.8
幽弥狂
后台安装包安装不上?
0 个点赞 | 4 个回复 | 问答 | 课程版本 5.5
sinmu
无法安装 summerblue/administrator:8.*
0 个点赞 | 3 个回复 | 分享 | 课程版本 9.x
seeker
求指教?The model option must be the string name of a valid Eloquent model
0 个点赞 | 3 个回复 | 问答 | 课程版本 5.5
xgrit
请问如何自定义后台首页页面内容
0 个点赞 | 1 个回复 | 问答 | 课程版本 6.x
jaminchen
summerblue/administrator 下不动啊。。。
0 个点赞 | 1 个回复 | 问答 | 课程版本 5.7
这个可以实现不同用户 不同权限吗?
0 个点赞 | 1 个回复 | 问答 | 课程版本 5.5
xgrit
spatie/Laravel-permission 权限包的问题
0 个点赞 | 0 个回复 | 问答 | 课程版本 6.x
zhaiduting
administrator.php config: 标题 不能为空,能否延迟加载?
0 个点赞 | 0 个回复 | 问答 | 课程版本 5.8
wangkai
怎么对管理后台的样式进行修改呢?
0 个点赞 | 0 个回复 | 问答 | 课程版本 5.8
MangoDa
解决 Laravel 5.7 安装不上 Laravel Administrator 问题
0 个点赞 | 0 个回复 | 分享 | 课程版本 5.7
lijianbo2004
访问后台报错 menu 不能为空
0 个点赞 | 0 个回复 | 问答 | 课程版本 5.7
LewisC
Composer require "summerblue/administrator:~1.1" 出错 - 已解决
0 个点赞 | 0 个回复 | 分享 | 课程版本 5.7
tsin
管理后台的路由在哪里
0 个点赞 | 0 个回复 | 问答 | 课程版本 5.5
kimchan
administrator 一直安装不上
0 个点赞 | 0 个回复 | 问答 | 课程版本 5.5
多语言切换问题?
0 个点赞 | 0 个回复 | 问答 | 课程版本 5.5